Skip to content
GET /unified/user-directory/organizations/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

Unique identifier for the organization.

33 supported
Atlassian
supported
Auth0
supported
Buildkite
supported
Cisco Meraki
supported
ClickUp
supported
Concord
supported
Confluent
supported
Contentful Content Management
supported
Microsoft Dynamics 365 Sales
supported
Elastic Cloud
supported
GitHub
supported
Google Cloud
supported
Hashicorp Terraform Cloud
supported
JumpCloud
supported
juniper-mist
supported
Make
supported
Manatal
supported
Meta Marketing API
supported
MongoDB Atlas Admin
supported
Ninjaone
supported
Pipedrive
supported
Platform.sh
supported
Podio
supported
Salesforce
supported
Supabase
supported
Survey Monkey
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
Trello
supported
Turso
supported
Webex
supported
Zeplin
supported
Zoho Projects
supported
created_atstring · date-time

Date and time when the organization was created.

18 supported
Buildkite
supported
Concord
supported
Confluent
supported
Contentful Content Management
supported
Microsoft Dynamics 365 Sales
supported
GitHub
supported
Google Cloud
supported
Hashicorp Terraform Cloud
supported
JumpCloud
supported
juniper-mist
supported
Meta Marketing API
supported
Pipedrive
supported
Platform.sh
supported
Podio
supported
Salesforce
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
Webex
supported
licensesobject[]

Licenses associated with the organization.

3 supported
Hashicorp Terraform Cloud
supported
Make
supported
Trello
supported
idstring

Unique identifier for the license.

namestring

Name of the license.

namestring

Name of the organization.

32 supported
Atlassian
supported
Auth0
supported
Buildkite
supported
Cisco Meraki
supported
ClickUp
supported
Concord
supported
Confluent
supported
Contentful Content Management
supported
Microsoft Dynamics 365 Sales
supported
Elastic Cloud
supported
GitHub
supported
Google Cloud
supported
Hashicorp Terraform Cloud
supported
JumpCloud
supported
juniper-mist
supported
Make
supported
Manatal
supported
Meta Marketing API
supported
MongoDB Atlas Admin
supported
Ninjaone
supported
Pipedrive
supported
Platform.sh
supported
Podio
supported
Salesforce
supported
Supabase
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
Trello
supported
Turso
supported
Webex
supported
Zeplin
supported
Zoho Projects
supported
pricing_planstring

Pricing plan associated with the organization.

9 supported
ClickUp
supported
Concord
supported
GitHub
supported
Hashicorp Terraform Cloud
supported
Podio
supported
Salesforce
supported
Supabase
supported
Turso
supported
Zoho Projects
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

Date and time when the organization was last updated.

13 supported
Confluent
supported
Contentful Content Management
supported
Microsoft Dynamics 365 Sales
supported
GitHub
supported
Google Cloud
supported
juniper-mist
supported
Meta Marketing API
supported
Pipedrive
supported
Platform.sh
supported
Salesforce
supported
Survey Monkey
supported
Teamwork Project Management
supported
Teamwork Spaces
supported
curl -X GET 'https://api.truto.one/unified/user-directory/organizations/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/organizations/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/user-directory/organizations/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'user-directory',
  'organizations',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "user-directory",
        "organizations",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())